package com.qs.mp.admin.domain.param;

import com.qs.mp.channel.domain.Channel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import lombok.Data;

/**
 * 经销商查询入参类
 * @author Cup
 * @date 2022/7/28
 */
@ApiModel("经销商查询入参类")
@Data
public class ChannelQueryParam extends Channel {

    @ApiModelProperty("排除门店id列表")
    private List<Long> excludeChannelIds;
}
