package com.qs.mp.admin.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qs.mp.admin.domain.GoodsCategory;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @describe 商品类目树状出参类
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 */
@ApiModel("商品类目树状出参类")
@Data
public class GoodsCategoryTreeVO extends GoodsCategory {

    @ApiModelProperty("商品分类信息列表")
    private List<GoodsCategory> goodsCategoryList;


}
