package com.qs.mp.admin.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 营销活动数据出参类
 * @author Cup
 * @date 2022/5/31
 */
@ApiModel("营销活动数据出参类")
@Data
public class MarketingDataVO {

    @ApiModelProperty("活动名称")
    private String title;

    @ApiModelProperty("真实参与用户量")
    private Integer realNum;

    @ApiModelProperty("抽奖码数量")
    private Integer codeCount;

    @ApiModelProperty("新用户数")
    private Integer newUserCount;

}
