package com.qs.mp.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.CouponChannel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.channel.domain.Channel;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 * @describe 经销商门店优惠券使用范围限制mapper类
 */
public interface CouponChannelMapper extends BaseMapper<CouponChannel> {

    /**
     * 根据条件查询优惠券关联的门店列表
     * @param queryWrapper
     * @return
     */
    List<Channel> listCouponChannelByQueryWrapper(@Param(Constants.WRAPPER) QueryWrapper<CouponChannel> queryWrapper);
}
