package com.qs.mp.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.GoodsCard;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * @auther quanshu
 * @create 2022-08-02 15:43:31
 * @describe 商品卡密关联表mapper类
 */
public interface GoodsCardMapper extends BaseMapper<GoodsCard> {

    /**
     * 查询提货订单明细的商品卡密信息
     * @param queryWrapper
     * @return
     */
    List<GoodsCard> listDeliveryOrderItemCardByWrapper(@Param(Constants.WRAPPER) QueryWrapper<GoodsCard> queryWrapper);
}
