package com.qs.mp.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.Goods;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.admin.domain.vo.GoodsExportVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 * @describe 商品库mapper类
 */
public interface GoodsMapper extends BaseMapper<Goods> {

    /**
     * 根据条件查询导出商品的数据
     * @param queryWrapper
     * @return
     */
    List<GoodsExportVO> listGoodsExportVOByQueryWrapper(@Param(Constants.WRAPPER) QueryWrapper<Goods> queryWrapper);
}
