package com.qs.mp.admin.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.GoodsCard;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * <p>
 * 商品卡密关联表 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-08-02
 */
public interface IGoodsCardService extends IService<GoodsCard> {

    /**
     * 查询提货订单明细的商品卡密信息
     * @param queryWrapper
     * @return
     */
    List<GoodsCard> listDeliveryOrderItemCardByWrapper(QueryWrapper<GoodsCard> queryWrapper);

    /**
     * 导入卡密
     * @param goodsCardList
     */
    void importCard(List<GoodsCard> goodsCardList);
}
