package com.qs.mp.admin.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.TicketAwardsPrize;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.vo.TicketAwardsPrizeVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 盲票盒奖项对应的奖品设置 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface ITicketAwardsPrizeService extends IService<TicketAwardsPrize> {
  List<TicketAwardsPrizeVO> listPrizeVO(Wrapper<TicketAwardsPrize> queryWrapper);

  List<TicketAwardsPrizeVO> listPrizeVO(String boxId);

  /**
   * 根据条件查询奖品信息
    * @param queryWrapper
   * @return
   */
    List<TicketAwardsPrize> listByQueryWrapper(QueryWrapper<TicketAwardsPrize> queryWrapper);
}
