package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.Data;

/**
 * 推广员列表查询入参类
 * @author Cup
 * @date 2022/8/9
 */
@ApiModel("推广员列表查询入参类")
@Data
public class PromoterListQueryParam {

    @ApiModelProperty("上级门店名字")
    private String siteName;

    @ApiModelProperty("推广员名字")
    private String name;

    @ApiModelProperty("推广员手机号")
    private String mobile;

    @ApiModelProperty("开始时间")
    private Date startDate;

    @ApiModelProperty("结束时间")
    private Date endDate;

}
