package com.qs.mp.channel.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 渠道经营数据
 * @author zhongcp
 * @Date 2022/3/1
 */
@Data
@ApiModel("经营数据")
public class ChannelOperDataVO {

  @ApiModelProperty("销售额")
  long saleAmt; // 销售额
  @ApiModelProperty("佣金收入")
  long commAmt; // 佣金收入
  @ApiModelProperty("新增用户数")
  long newUserCnt; // 新增用户数
  @ApiModelProperty("渠道名称")
  String name; // 渠道名称
  @ApiModelProperty("手机号")
  String mobile; // 手机号
  @ApiModelProperty("订单数")
  int orderCnt; // 订单数
  @ApiModelProperty("盲票销量")
  long ticketSaleCnt; // 盲票销量
}
