package com.qs.mp.channel.domain.vo;

import java.util.List;

import com.qs.mp.channel.domain.ChannelOrderDetail;
import com.qs.mp.channel.domain.ChannelOrderItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liugl
 * @Date 2022/3/3
 */
@Data
@ApiModel("经销商订单明细出参类")
public class ChannelOrderItemVO extends ChannelOrderItem {
	
	// 盲票组编号
	@ApiModelProperty("盲票组编号")
	private String boxNo;
	
	// 发货的票包详情
	@ApiModelProperty("发货的票包详情")
	private List<ChannelOrderDetail> detailList;
}
