package com.qs.mp.channel.domain.vo;

import com.qs.mp.channel.domain.ChannelOrder;
import com.qs.mp.channel.domain.ChannelOrderItem;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/3
 */
@Data
@ApiModel("经销商订单出参类")
public class ChannelOrderVO extends ChannelOrder {

  @ApiModelProperty("经销商订单明细出参类")
  private List<ChannelOrderItemVO> items;

  @ApiModelProperty("经销商名称")
  private String channelName;  // 经销商名称

  @ApiModelProperty("上级渠道名称")
  private String parentName;  // 上级渠道名称

  @ApiModelProperty("物流公司名称")
  private String companyName; // 物流公司名称
}
