package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.ChannelCouponVerifyLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @auther quanshu
 * @create 2022-03-21 14:47:23
 * @describe 渠道优惠券核销流水mapper类
 */
public interface ChannelCouponVerifyLogMapper extends BaseMapper<ChannelCouponVerifyLog> {

    /**
     * 根据条件统计优惠券核销金额
     * @param queryWrapper
     * @return
     */
    Integer sumDisCountByQueryWrapper(@Param(Constants.WRAPPER) QueryWrapper<ChannelCouponVerifyLog> queryWrapper);
}
