package com.qs.mp.channel.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.domain.PromoterUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.channel.domain.vo.PromoterVO;
import org.apache.ibatis.annotations.Param;

/**
 * @auther quanshu
 * @create 2022-08-08 17:45:00
 * @describe 推广员用户关联表mapper类
 */
public interface PromoterUserMapper extends BaseMapper<PromoterUser> {

    PromoterVO getPromoterByQueryWrapper(@Param(Constants.WRAPPER) QueryWrapper<Channel> queryWrapper);
}
