package com.qs.mp.common.domain.vo;

import lombok.Data;
import org.apache.commons.lang3.math.NumberUtils;

/**
 * 支付宝手机解密结果类
 * @author Cup
 * @date 2022/6/21
 */
@Data
public class AliPhoneDecryptVO {
    private String code;
    private String msg;
    private String mobile;
    private String subCode;
    private String subMsg;

    public boolean isSuccess() {
        return NumberUtils.isDigits(mobile);
    }
}