package com.qs.mp.user.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 盲票自动开奖入参类
 * @author Cup
 * @date 2022/5/23
 */
@ApiModel("盲票自动开奖入参类")
@Data
public class TicketAutoCashPrizeParam {

    @ApiModelProperty("盲票id")
    private String ticketId;


    @ApiModelProperty("盲票订单ID")
    private String orderId;

    @ApiModelProperty("盲票组id")
    private String boxId;

    @NotNull(message = "是否试玩不能为空")
    @ApiModelProperty("是否试玩,0否,1试玩")
    private Integer isTry;

}
