package com.qs.mp.user.domain.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.admin.domain.PrizeRecovery;
import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户奖品回收入参类
 * @author Cup
 * @date 2022/5/25
 */
@ApiModel("用户奖品回收入参类")
@Data
public class UserPrizeRecoveryCreateParam {

    @ApiModelProperty("关联奖品库id")
    private String storageId;

    @ApiModelProperty("兑换数量")
    private Integer num;

    @ApiModelProperty("商品Id")
    private Long goodsId;

    @ApiModelProperty("sku Id")
    private Long skuId;

    @ApiModelProperty("属性组合字符串 格式是p1:v1;p2:v2")
    private String properties;



}
