package com.qs.mp.user.domain.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.common.enums.PrizeStorageInTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户实物奖品库查询入参类
 * @author Cup
 * @date 2022/5/24
 */
@ApiModel("用户实物奖品库查询入参类")
@Data
public class UserPrizeStorageQueryParam {

    @ApiModelProperty("状态;1待提货、2已提货,3已回收")
    private Integer status;


}
