package com.qs.mp.user.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 奖级标签出参类
 * @author Cup
 * @date 2022/5/23
 */
@ApiModel("奖级标签出参类")
@Data
public class TicketAwardsLabelVO {

    @ApiModelProperty("奖级标签名")
    private String labelTitle;

    @ApiModelProperty("标签图片")
    private String picUrl;

    @ApiModelProperty("中奖概率")
    private BigDecimal hitRate;

    @ApiModelProperty("奖品数")
    private Integer quantity;
}
