package com.qs.mp.user.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.common.enums.CouponDiscountTypeEnum;
import com.qs.mp.common.enums.CouponTypeEnum;
import com.qs.mp.common.enums.CouponUseAreaEnum;
import com.qs.mp.user.domain.UserCoupon;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @describe 盲票购买时的优惠券
 * @auther zhongcp
 * @create 2022-03-07 20:45:43
 */
@Data
@ApiModel("盲票购买时的优惠券")
public class UserCoupon4OrderVO {

    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("标题")
    private String title;

    /**
     * 图片
     */
    @ApiModelProperty("图片")
    private String picUrl;

    /**
     * 优惠金额（比例）
     */
    @ApiModelProperty("优惠金额（比例）")
    private Integer discount;


}
