package com.qs.mp.user.domain.vo;

import com.qs.mp.common.enums.TicketPrizeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户活动中奖详情出参类
 * @author Cup
 * @date 2022/5/19
 */
@ApiModel("用户活动中奖详情出参类")
@Data
public class UserMarketingHitPrizeDetailVO {

    @ApiModelProperty("是否中奖,-1未参与,0未中奖,1中奖")
    private Integer isHit;

    @ApiModelProperty("奖级")
    private String awardName;

    @ApiModelProperty("奖品")
    private String prizeTitle;

    @ApiModelProperty("奖品图片")
    private String prizePicUrl;

    @ApiModelProperty("奖品类型 goods 实物商品 coupon优惠券 coin平台代币 coupon_pkg券包")
    private TicketPrizeTypeEnum prizeType;

    @ApiModelProperty("奖品价值")
    private Integer value;
}
