package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Cup
 * @date 2022/6/13
 */
@ApiModel(value = "提现记录查询入参类")
@Data
public class ChannelWithdrawQueryParam {

    @ApiModelProperty("提现状态 1申请,2审核通过,3审核拒绝")
    private Integer status;

    @ApiModelProperty("渠道/经销商名称")
    private String name;

    @ApiModelProperty("开始时间")
    private Date startDay;

    @ApiModelProperty("结束时间")
    private Date endDay;


}
