package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Cup
 * @date 2022/6/9
 */
@ApiModel("后台首页经销商盲票销售统计查询入参类")
@Data
public class IndexTicketSiteTopQueryParam {

    @ApiModelProperty(value = "自定义开始时间",required=false)
    private Date startTime;

    @ApiModelProperty(value = "自定义截止时间",required=false)
    private Date endTime;

    @ApiModelProperty("盲票订单状态")
    private Integer ticketOrderStatus;

    @ApiModelProperty("经销商订单状态")
    private Integer channelOrderStatus;

    @ApiModelProperty("经销商订单类型")
    private Integer channelOrderType;
}
