package com.qs.mp.admin.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 回收列表查询入参类
 * @author Cup
 * @date 2022/5/25
 */
@ApiModel("回收列表查询入参类")
@Data
public class PrizeRecoveryListQueryParam {

    @ApiModelProperty("商品名称")
    private String title;

    @ApiModelProperty("用户手机号")
    private String userPhone;

    @ApiModelProperty("开始时间")
    private Date startTime;

    @ApiModelProperty("结束时间")
    private Date endTime;

}
