package com.qs.mp.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.TicketAwards;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.user.domain.vo.TicketAwardsLabelVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @auther quanshu
 * @create 2022-03-02 12:25:55
 * @describe 盲票盒奖项设置mapper类
 */
public interface TicketAwardsMapper extends BaseMapper<TicketAwards> {

    /**
     * 根据条件分组获取奖品总数
     * @param queryWrapper
     * @return
     */
    List<TicketAwardsLabelVO> groupSumQuantityByQueryWrapper(@Param(Constants.WRAPPER) QueryWrapper<TicketAwards> queryWrapper);
}
