package com.qs.mp.admin.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.qs.mp.admin.domain.TicketBoxGoods;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qs.mp.admin.domain.vo.TicketBoxGoodsVO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * @auther quanshu
 * @create 2022-07-16 09:41:09
 * @describe 盲票商品关联表mapper类
 */
public interface TicketBoxGoodsMapper extends BaseMapper<TicketBoxGoods> {

    /**
     * 根据条件查询盲票商品关信息
     * @param queryWrapper
     * @return
     */
    List<TicketBoxGoodsVO> listByQueryWrapper(@Param(Constants.WRAPPER) QueryWrapper<TicketBoxGoods> queryWrapper);
}
