package com.qs.mp.admin.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.CouponChannel;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.channel.domain.Channel;
import java.util.List;

/**
 * <p>
 * 经销商门店优惠券使用范围限制 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
public interface ICouponChannelService extends IService<CouponChannel> {

    /**
     * 根据条件查询优惠券关联的门店列表
     * @param queryWrapper
     * @return
     */
    List<Channel> listCouponChannelByQueryWrapper(QueryWrapper<CouponChannel> queryWrapper);
}
