package com.qs.mp.admin.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.TicketBoxGoods;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.vo.TicketBoxGoodsVO;
import java.util.List;

/**
 * <p>
 * 盲票商品关联表 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-07-16
 */
public interface ITicketBoxGoodsService extends IService<TicketBoxGoods> {

    /**
     * 根据条件查询盲票商品关信息
     * @param queryWrapper
     * @return
     */
    List<TicketBoxGoodsVO> listByQueryWrapper(QueryWrapper<TicketBoxGoods> queryWrapper);
}
