package com.qs.mp.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.CouponChannel;
import com.qs.mp.admin.mapper.CouponChannelMapper;
import com.qs.mp.admin.service.ICouponChannelService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qs.mp.channel.domain.Channel;
import java.util.List;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 经销商门店优惠券使用范围限制 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
@Service
public class CouponChannelServiceImpl extends ServiceImpl<CouponChannelMapper, CouponChannel> implements ICouponChannelService {


    @Override
    public List<Channel> listCouponChannelByQueryWrapper(QueryWrapper<CouponChannel> queryWrapper) {
        return getBaseMapper().listCouponChannelByQueryWrapper(queryWrapper);
    }
}
