package com.qs.mp.admin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.TicketBoxGoods;
import com.qs.mp.admin.domain.vo.TicketBoxGoodsVO;
import com.qs.mp.admin.mapper.TicketBoxGoodsMapper;
import com.qs.mp.admin.service.ITicketBoxGoodsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 盲票商品关联表 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-07-16
 */
@Service
public class TicketBoxGoodsServiceImpl extends ServiceImpl<TicketBoxGoodsMapper, TicketBoxGoods> implements ITicketBoxGoodsService {

    @Override
    public List<TicketBoxGoodsVO> listByQueryWrapper(QueryWrapper<TicketBoxGoods> queryWrapper) {
        queryWrapper.eq("t1.is_deleted", 0);
        return getBaseMapper().listByQueryWrapper(queryWrapper);
    }
}
