package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.List;
import javax.validation.constraints.NotNull;
import lombok.Data;

@ApiModel(value= "订单支付参数")
@Data
public class OrderPayParam {

	@NotNull(message = "订单ID不能为空")
	@ApiModelProperty(value = "订单ID",required=true)
	private String orderId;

	@NotNull(message = "支付方式不能为空")
	@ApiModelProperty(value = "支付方式:1支付宝,2微信",required=true)
	private Integer payType;


	@ApiModelProperty(value = "用户openID",required=true)
	private String openId;

	@ApiModelProperty("小程序,1盲票,2码上兑券,3支付宝盲票")
	private Integer appSource;
}
