package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;

/**
 * 推广员销售数据查询入参类
 * @author Cup
 * @date 2022/8/10
 */
@ApiModel("推广员销售数据查询入参类")
@Data
public class PromoterDataQueryParam {


    @ApiModelProperty("推广员id")
    private Long channelId;

    @NotNull(message = "天数不能为空")
    @ApiModelProperty("天数")
    private Integer days;

}
