package com.qs.mp.channel.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qs.mp.channel.domain.ChannelWithdraw;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/21
 */
@ApiModel("提现记录相关出参类")
@Data
public class ChannelWithdrawVO extends ChannelWithdraw {
  /**
   * 渠道名称
   */
  @ApiModelProperty("渠道名称")
  private String name;

  /**
   * 渠道级别，0:经销商；1:一级渠道；2:二级渠道
   */
  @ApiModelProperty("渠道级别，0:经销商；1:一级渠道；2:二级渠道")
  private Integer level;

  /**
   * 手机号
   */
  @ApiModelProperty("手机号")
  private String mobile;
}
