package com.qs.mp.channel.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 推广员列表出参类
 * @author Cup
 * @date 2022/8/9
 */
@ApiModel("推广员列表出参类")
@Data
public class PromoterListVO {

    @ApiModelProperty("推广员id")
    private Long channelId;

    @ApiModelProperty("推广员名字")
    private String name;

    @ApiModelProperty("推广员手机号")
    private String mobile;

    @ApiModelProperty("分佣比例")
    private BigDecimal commRate;

    @ApiModelProperty("门店名称")
    private String siteName;

    @ApiModelProperty("盲票销量")
    private Integer saleNum;

    @ApiModelProperty("销售额")
    private Integer saleAmt;

    @ApiModelProperty("佣金")
    private Integer commAmt;

    @ApiModelProperty("创建时间")
    private Date createdTime;

}
