package com.qs.mp.channel.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.channel.domain.Channel;
import com.qs.mp.channel.domain.PromoterUser;
import com.qs.mp.channel.domain.vo.PromoterVO;
import com.qs.mp.channel.mapper.PromoterUserMapper;
import com.qs.mp.channel.service.IPromoterUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 推广员用户关联表 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-08-08
 */
@Service
public class PromoterUserServiceImpl extends ServiceImpl<PromoterUserMapper, PromoterUser> implements IPromoterUserService {

    @Override
    public PromoterVO getPromoterByQueryWrapper(QueryWrapper<Channel> queryWrapper) {
        return getBaseMapper().getPromoterByQueryWrapper(queryWrapper);
    }
}
