package com.qs.mp.user.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 盲豆转赠
 * @author zhangkaikai
 * @create 2023-04-24 5:25 PM
 **/

@Data
public class CoinTransferParamDTO {

    // 转赠方id
    private Long FromUserId;

    // 受赠方id
    private Long ToUserId;

    // 转赠方手机
    private String ToPhone;
    // 受赠方手机
    private String FromPhone;

    // 实际转赠盲豆
    private Integer realTransferCoin;

    // 转赠损耗盲豆
    private Integer deductTransferCoin;
}
