package com.qs.mp.user.domain.param;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Cup
 * @date 2022/7/28
 */
@ApiModel("优惠券关联门店查询入参类")
@Data
public class CouponChannelQueryParam {

    @ApiModelProperty("优惠券ID")
    private Long couponId;

    @ApiModelProperty("省ID")
    private Long provinceId;

    @ApiModelProperty("城市ID")
    private Long cityId;

    @ApiModelProperty("区ID")
    private Long areaId;

}
