package com.qs.mp.user.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author Cup
 * @date 2022/6/20
 */
@ApiModel(value = "用户实物奖品更新入参类")
@Data
public class UserPrizeStorageUpdateParam {

    @NotBlank(message = "奖品存储ID不能为空")
    @ApiModelProperty("奖品存储id")
    private String storageId;

    @NotNull(message = "skuId不能为空")
    @ApiModelProperty("skuId")
    private Long skuId;

    @NotBlank(message = "sku属性不能为空")
    @ApiModelProperty("sku属性")
    private String properties;
}
