package com.qs.mp.user.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 奖品回收结算出参类
 * @author Cup
 * @date 2022/5/25
 */
@Data
@ApiModel("奖品回收结算出参类")
public class PrizeRecoverySettleVO {

    @ApiModelProperty("关联奖品库id")
    private String storageId;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("图片")
    private String picUrl;

    @ApiModelProperty("商品id")
    private Long goodsId;

    @ApiModelProperty("skuId")
    private Long skuId;

    @ApiModelProperty("属性组合字符串 格式是p1:v1;p2:v2")
    private String properties;

    @ApiModelProperty("兑换数量")
    private Integer num;

    @ApiModelProperty("商品总数")
    private Integer goodsNum;

    @ApiModelProperty("返还盲豆数")
    private Integer returnCoin;

    @ApiModelProperty("回收折扣比例")
    private BigDecimal discountRate;

    @ApiModelProperty("兑换单价")
    private Integer exchangePrice;


}
