package com.qs.mp.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.admin.domain.vo.MarketingUserCodeListVO;
import com.qs.mp.user.domain.MarketingUserCode;
import com.qs.mp.user.mapper.MarketingUserCodeMapper;
import com.qs.mp.user.service.IMarketingUserCodeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 营销活动用户参与码关系表 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-05-16
 */
@Service
public class MarketingUserCodeServiceImpl extends ServiceImpl<MarketingUserCodeMapper, MarketingUserCode> implements IMarketingUserCodeService {


    @Override
    public int countRealUserNumByMarketingId(Long marketingId) {
        return getBaseMapper().countRealUserNumByMarketingId(marketingId);
    }

    @Override
    public List<MarketingUserCodeListVO> listMarketingUserCodeByQueryWrapper(QueryWrapper<MarketingUserCode> queryWrapper) {
        return getBaseMapper().listMarketingUserCodeByQueryWrapper(queryWrapper);
    }
}
